Debian Bug report logs - #692009
bup: should Recommend python-pyxattr and python-pylibacl

version graph

Package: bup; Maintainer for bup is Robert S. Edmonds <edmonds@debian.org>; Source for bup is src:bup.

Reported by: Sascha Silbe <sascha-debian-bugs-bup-2012-11-01@silbe.org>

Date: Thu, 1 Nov 2012 09:15:02 UTC

Severity: minor

Found in version bup/0.25~git2011.11.04-5

Fixed in version bup/0.25~git2011.11.04-6

Done: Jon Dowland <jmtd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sascha-debian-bugs-cc@silbe.org, Jon Dowland <jmtd@debian.org>:
Bug#692009; Package bup. (Thu, 01 Nov 2012 09:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sascha Silbe <sascha-debian-bugs-bup-2012-11-01@silbe.org>:
New Bug report received and forwarded. Copy sent to sascha-debian-bugs-cc@silbe.org, Jon Dowland <jmtd@debian.org>. (Thu, 01 Nov 2012 09:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sascha Silbe <sascha-debian-bugs-bup-2012-11-01@silbe.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bup: should Recommend python-pyxattr and python-pylibacl
Date: Thu, 01 Nov 2012 10:11:19 +0100
Package: bup
Version: 0.25~git2011.11.04-5
Severity: minor

Dear Maintainer,

"bup meta" requires python-pyxattr and python-pylibacl in order to
back up and restore extended attributes resp. ACLs, so they should be
listed in Recommends or at least Suggests.

=== Begin ===
sascha.silbe@twin:~/baz$ bup meta -f /dev/null --create .
Warning: Linux xattr support missing; install python-pyxattr.
Warning: POSIX ACL support missing; install python-pylibacl.
sascha.silbe@twin:~/baz$ 
=== End ===

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages bup depends on:
ii  git [git-core]  1:1.7.10.4-1
ii  git-core        1:1.7.10.4-1
ii  libc6           2.13-35
ii  python          2.7.3~rc2-1
ii  python-fuse     2:0.2.1-7
ii  python-support  1.0.15
ii  python-tornado  2.3-2

Versions of packages bup recommends:
ii  par2  0.4-11

bup suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#692009; Package bup. (Thu, 01 Nov 2012 15:42:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. (Thu, 01 Nov 2012 15:42:15 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: Sascha Silbe <sascha-debian-bugs-bup-2012-11-01@silbe.org>, 692009@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#692009: bup: should Recommend python-pyxattr and python-pylibacl
Date: Thu, 1 Nov 2012 15:39:23 +0000
Hi,

Thanks for the report!

On Thu, Nov 01, 2012 at 10:11:19AM +0100, Sascha Silbe wrote:
> "bup meta" requires python-pyxattr and python-pylibacl in order to
> back up and restore extended attributes resp. ACLs, so they should be
> listed in Recommends or at least Suggests.

I think they should probably go in Depends: to be honest.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#692009; Package bup. (Thu, 01 Nov 2012 15:42:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. (Thu, 01 Nov 2012 15:42:20 GMT) Full text and rfc822 format available.

Reply sent to Jon Dowland <jmtd@debian.org>:
You have taken responsibility. (Tue, 06 Nov 2012 23:21:06 GMT) Full text and rfc822 format available.

Notification sent to Sascha Silbe <sascha-debian-bugs-bup-2012-11-01@silbe.org>:
Bug acknowledged by developer. (Tue, 06 Nov 2012 23:21:06 GMT) Full text and rfc822 format available.

Message #20 received at 692009-close@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: 692009-close@bugs.debian.org
Subject: Bug#692009: fixed in bup 0.25~git2011.11.04-6
Date: Tue, 06 Nov 2012 23:17:43 +0000
Source: bup
Source-Version: 0.25~git2011.11.04-6

We believe that the bug you reported is fixed in the latest version of
bup, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692009@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jon Dowland <jmtd@debian.org> (supplier of updated bup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 06 Nov 2012 22:50:59 +0000
Source: bup
Binary: bup
Architecture: source amd64
Version: 0.25~git2011.11.04-6
Distribution: experimental
Urgency: low
Maintainer: Jon Dowland <jmtd@debian.org>
Changed-By: Jon Dowland <jmtd@debian.org>
Description: 
 bup        - highly efficient file backup system based on git
Closes: 692009
Changes: 
 bup (0.25~git2011.11.04-6) experimental; urgency=low
 .
   * Add --parallel to dh* calls to support parallel building.
   * Depend upon python-pyxattr and python-pylibacl so that "bup
     meta" works. Thanks Sascha Silbe. Closes: #692009.
Checksums-Sha1: 
 3f0ac1350bc46785ec7b3bee57426985033b43af 2022 bup_0.25~git2011.11.04-6.dsc
 20cdcd87f46861b40b6853cde2c9ebf62c0ee9ef 5379 bup_0.25~git2011.11.04-6.debian.tar.gz
 13950ebd16b590e503ef74d443e7aebc0018ed49 162972 bup_0.25~git2011.11.04-6_amd64.deb
Checksums-Sha256: 
 87cc4fd939835b6296d25e0c7153fa75ee6d346560694b6326dbf97b40a5dcf8 2022 bup_0.25~git2011.11.04-6.dsc
 31098c78a3f1663d2c9c3c26064cc33e0f0928fefb4a8ab1a7c77efff046ddbe 5379 bup_0.25~git2011.11.04-6.debian.tar.gz
 b81ac903f4c2ddd093f44c33af7d80acbf7bc39ecd7bceb69de608610173857c 162972 bup_0.25~git2011.11.04-6_amd64.deb
Files: 
 ade8eb665aaf3d81efbe4a9b6fa98ce6 2022 admin extra bup_0.25~git2011.11.04-6.dsc
 3c649439b5448be850778dfb86ce5ceb 5379 admin extra bup_0.25~git2011.11.04-6.debian.tar.gz
 555cb806209c6492322a894cade32cd6 162972 admin extra bup_0.25~git2011.11.04-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQmZTeAAoJEAkHQJYGqqqqmKsP/2d/rfMyaET5tm77MSAdaGCs
es+NYgpk4ixYghpgMLmyLjNlhIctbAAgCWFODzunkLDh+D/OSI7dneYqggs/cQxd
y3a6zpNeqi3yIkSzdThVFgb4epeRNCKVNP0+G+ENV3S0FbbKzRXyO2Djh2vRJvjF
uHtS+z0/9gkcXadspCCGpi/aeL+Cl4L+AYwf96rxlqnghkdzSAGhd4fAvW5lSAk5
GaCNQTqiGsplziqVnOKtUhlvwEF7oS7TZWb0aJzRFnfI2RI4R2yCWfM4o+XY7C9A
FyzG7o0uyJRV+wTfHZCtBn8jMpP/TjGgpxS+g8Zd+6ttGp2OQmlrGp8JU2FVK68+
1ZHcwe84yFLJHjRSM8mhtqsNYdW4R6swSCEhGdNZ7WVrbihDvX0Y1Gzw1rRIYlel
NDm1mP+l4LyPXh2kzlcFxSVcPDNLhlHCM8/BDVKDjHsusfvwWdMRDvStlu9FMNBB
aAlumxFMxPvsBDUloHm1/Fx+rVFtT4ZaPHyjCnQTRtBmVSeuURXVA8PtOpJ4uPGr
0LcpO/xJZ9q2J/seTRFfAMZ3UUpe0kOGrJrO6et4CQpOn6Jzig9cp6EzGeYGcdXD
0XKf9k6yCJnmmqkFiTPzuwYHB/rD3bN2DD1ZI/E1T5sX0HVHeV+cKSFoanPPrGuY
SpKjraUYWPdNjMIt8MYt
=UJE9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Nov 2013 07:26:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:49:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.